%global apiversion      0.4
%define lib_major       4
%define lib_name        %mklibname wps %{apiversion} %{lib_major}
%define lib_name_devel  %mklibname -d wps

Name:		libwps
Version:	0.4.4
Release:	%mkrel 1
Summary:	A library for import of Microsoft Works documents
Group:		Office
License:	LGPLv2+ or MPLv2.0
URL:		http://libwps.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
BuildRequires: doxygen
BuildRequires: help2man
BuildRequires: librevenge-devel

%description
%{name} is a library for import of Microsoft Works text documents,
spreadsheets and (in a limited way) databases. Full list of supported
formats is available at
https://sourceforge.net/p/libwps/wiki/Home/#recognized-formats .


%package	-n %{lib_name_devel}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	libwps-devel = %{version}-%{release}

%description -n %{lib_name_devel}
The %{lib_name_devel} package contains libraries and header files for
developing applications that use %{name}.

%package	tools
Summary:	Tools to transform Microsoft Works documents into other formats
Requires:	%{lib_name} = %{version}-%{release}
Group:		Publishing

%description tools
Tools to transform Microsoft Works documents into other formats.
Currently supported: CSV, HTML, raw, text

%package	-n %{lib_name}
Summary:	Library for reading and converting Microsoft Works word processor documents
Group:		System/Libraries
Obsoletes:	%mklibname wps- 0.1 1

%description -n %{lib_name}
%{name} is a library for import of Microsoft Works text documents,
spreadsheets and (in a limited way) databases.

%package	doc
Requires:	libwps-devel = %{version}-%{release}
Summary:	Documentation of %{name} API
Group:		Documentation
BuildArch:	noarch
Obsoletes:	%name-docs
Provides:	%name-docs

%description doc
The %{name}-doc package contains documentation files for %{name}

%prep
%setup -q

%build
%configure2_5x --disable-silent-rules --disable-static --disable-werror --with-sharedptr=c++11
%make

%install
rm -rf %buildroot
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}%{_defaultdocdir}/%{name}

export LD_LIBRARY_PATH=%{buildroot}/%{_libdir}${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
for tool in wks2csv wks2raw wks2text wps2html wps2raw wps2text; do
    help2man -S '%{name} %{version}' -N -o ${tool}.1 %{buildroot}%{_bindir}/${tool}
done
install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 wks2*.1 wps2*.1 %{buildroot}/%{_mandir}/man1

%files -n %{lib_name}
%{_libdir}/libwps*-%{apiversion}.so.%{lib_major}
%{_libdir}/libwps*-%{apiversion}.so.%{lib_major}.*

%files -n %{lib_name_devel}
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files tools
%{_bindir}/*
%{_mandir}/man1/wks2csv.1*
%{_mandir}/man1/wks2raw.1*
%{_mandir}/man1/wks2text.1*
%{_mandir}/man1/wps2html.1*
%{_mandir}/man1/wps2raw.1*
%{_mandir}/man1/wps2text.1*

%files doc
%doc docs/doxygen/html


%changelog
* Sat Jan 07 2017 adrianomorselli <adrianomorselli> 0.4.4-1uplos2017
- rebuild

* Thu Oct 27 2016 bb <bb> 0.4.4-1pclos2016
- update for abiword

